FreeBSD : exim -- local privilege escalation (e4fcf020-0447-11e0-becc-0022156e8794)

Medium Nessus Plugin ID 51446


The remote FreeBSD host is missing a security-related update.


David Woodhouse reports :

Secondly a privilege escalation where the trusted 'exim' user is able to tell Exim to use arbitrary config files, in which further ${run ...} commands will be invoked as root.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 51446

File Name: freebsd_pkg_e4fcf020044711e0becc0022156e8794.nasl

Version: $Revision: 1.6 $

Type: local

Published: 2011/01/10

Modified: 2014/03/12

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.9

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:exim, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2011/01/08

Vulnerability Publication Date: 2010/12/10

Exploitable With

Metasploit (Exim4 string_format Function Heap Buffer Overflow)

Reference Information

CVE: CVE-2010-4345